Subject: bug#42332: closed (Re: bug#42332: Function to add projects to project--list)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Jul 2020 00:20:02 +0000

Your bug report

#42332: Function to add projects to project--list

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42332: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42332
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42332: Function to add projects to project--list
From: Dmitry Gutov <[email-masked]>
To: Sean Whitton <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Sat, 25 Jul 2020 03:19:18 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12.07.2020 09:43, Sean Whitton wrote:
> I just added this to my init file, but it uses the private function
> project--add-to-project-list-front -- it would be good to have an API
> function to add arbitrary projects from Lisp.
> 
>      (defun spw/register-programming-projects-and-switch ()
>        (interactive)
>        (dolist (directory (spw/all-programming-projects))
>          (when-let ((project (project-current nil directory)))
>            (project--add-to-project-list-front project)))
>        (call-interactively 'project-switch-project))

Thanks for the report.

I did a rename, and 'project-remember-project' is a public function now.

Subject: Function to add projects to project--list
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Sat, 11 Jul 2020 23:43:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I just added this to my init file, but it uses the private function
project--add-to-project-list-front -- it would be good to have an API
function to add arbitrary projects from Lisp.

    (defun spw/register-programming-projects-and-switch ()
      (interactive)
      (dolist (directory (spw/all-programming-projects))
        (when-let ((project (project-current nil directory)))
          (project--add-to-project-list-front project)))
      (call-interactively 'project-switch-project))

-- 
Sean Whitton